Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.inifile
Class IniProperty

    java.lang.Object
      |
      +--net.sf.antcontrib.inifile.IniProperty

All Implemented Interfaces:
  IniPart

public class IniProperty
extends java.lang.Object
implements IniPart

Place class description here.

Since:
Author:
  inger,

Constructor Summary
`IniProperty()`
`IniProperty(java.lang.String name, java.lang.String value)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setName(java.lang.String name)`
`void` | `setValue(java.lang.String value)`
`void` | `write(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IniProperty

    public IniProperty()

### IniProperty

    public IniProperty(java.lang.String name,
                       java.lang.String value)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### write

    public void write(java.io.Writer writer)
               throws java.io.IOException

  Specified by:
    `write` in interface `IniPart`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD